<?php
/* Icinga Web 2 | (c) 2013-2015 Icinga Development Team | GPLv2+ */

namespace Icinga\Module\GraphDash\Forms\Config;

use Icinga\Forms\ConfigForm;

class GeneralConfigForm extends ConfigForm
{
    /**
     * Initialize this form
     */
    public function init()
    {
        $this->setName('form_config_graphdash_general');
        $this->setSubmitLabel($this->translate('Save Changes'));
    }

    /**
     * Create Configuration
     */
    public function createElements(array $formData)
    {
        $this->addElement(
            'text',
            'global_pnpurl',
            array(
                'value'         => 'pnp4nagios',
                'label'         => 'pnpurl',
                'description'   => $this->translate('pnp4nagios URL (Default: pnp4nagios)')
            )
        );
        $this->addElement(
            'text',
            'global_width',
            array(
                'value'         => '500',
                'label'         => 'width',
                'description'   => $this->translate('Graph width [px] (Default: 560)')
            )
        );

    }
}
