## Usage

On each Host and Service Detail page there will be a new action link **GraphDash**. Clicking this link will open a new GUI frame containing a set of predefined graphs. If no graphs are configured yet, you will see a message saying so.

You define the set of graphs to be shown for each host by filling the GraphDash_Services custom array with the service names for which performance data is generated. To define the graphs shown for windows servers, go to the windows template in Director and enter the appropriate service name(s) in the GraphDash_Services custom variable. The graphs are ordered in the order you fill this array with service names. Only one graph is shown for each service entry, usually the first one. If a service check outputs several graphs you may select the graph number after the service name separated by a comma like so:

`iftraffic-snmp,1`

Please note that the service names are case sensitive.  If you have the pnp module installed you see the exact service name above each pnp graph.

The GraphDash_Services array for a host is inherited the imported templates. This means you may override this inheritance on any level, even on the host object level itself and define a different graph selection.

You may want to check out my [PNP Default Template for IcingaWeb2](https://geotek.de/cms/archiv/icinga-nagios-plugins) for cleaner and better PNP graphs that complements the GraphDash Module.

