<?php

namespace Icinga\Module\GraphDash\ProvidedHook\Monitoring;

use Icinga\Module\Monitoring\Hook\ServiceActionsHook;
use Icinga\Module\Monitoring\Object\Service;
use Icinga\Web\Url;

class ServiceActions extends ServiceActionsHook
{
    public function getActionsForService(Service $service)
    {
    	  $hostname = $service->host_name;
    	  $service->fetchCustomvars();
        $hostVariables = $service->hostVariables;	// identisch zu 'customvars', was ist der Unterschied?
        $graphdash_services = array();
        if (array_key_exists('graphdash_services', $hostVariables)) $graphdash_services = $hostVariables['graphdash_services'];

				// **** Todo: Icon auf graph.png setzen!
				
				// Add all graphdash graphs via url parameters
        $actions['GraphDash'] = Url::fromPath('graphdash/week', array_merge(array('name' => $hostname), $graphdash_services));

        return $actions;
    }
}
