<?php
	
namespace Icinga\Module\GraphDash;

use Icinga\Web\Url;

class CurrentHost {
	
	public static function getCurrentHost() {
		// Das ist eine absolute Krücke, aber ich habe keinen eleganteren Weg gefunden,
	  // die akuellen Host-Parameter abzufragen
	  // Beispiel-URL: 
	  // /icingaweb2/graphdash/week?name=geotek-fs3&0=cpu-utilization-snmp&1=diskio-c-wmi&2=memory-win
	  $url = Url::fromRequest()->getAbsoluteUrl();
	  parse_str(parse_url($url, PHP_URL_QUERY), $arr);
	  /* returns an array like so:
	    [name] => geotek-fs10
    	[0] => cpu-utilization-snmp
    	[1] => diskio-c-wmi
   		[2] => memory-win
   	*/
	  return $arr;
  }
}
